/* ============ Gene Detail page section ============ */

#gene_name {
    font-size: 2.5em;
    font-family: "Source Sans 3", helvetica, arial, tahoma, lucida, "lucida grande";
    color: #333377;
}

.tab-content {
    border: 1px dotted #ccc;
    overflow: auto;
    padding: 0px 10px 10px 10px;
}

.button-container {
    display: flex; 
    justify-content: right;
}

.copy-btn,
.BLAST-btn {
    background-color: #009578;
    color: #FFFFFF;
    border-radius: 6px;
    display: flex;
    align-items: center;
    padding: 8px 12px;
    gap: 8px;
    border: none;
    outline: none;
    cursor: pointer;
    margin: 5px;
}

.copy-btn:active,
.BLAST-btn:active    {
    background: #006f59
}

.copy-btn:disabled {
    background-color: #f1f1f1;
    color: #333333;
    cursor: not-allowed;
}

.tab-sequence {
    font-family: 'Consolas', 'Monaco', 'Bitstream Vera Sans Mono', 'monospace'
}

.compare-btn {
    background-color: #047d65;
    color: #FFFFFF;
    border-radius: 6px;
    padding: 12px 16px;
    font-weight: 500;
    border: none;
    outline: none;
    cursor: pointer;
    text-transform: uppercase;
    margin-top: 15px;
}
.compare-btn:hover {
    background-color: #08a485;
}

.classic-btn {
    background-color: black;
    color: #FFFFFF;
    border-radius: 6px;
    padding: 12px 16px;
    font-weight: 500;
    border: none;
    outline: none;
    cursor: pointer;
    margin-top: 15px;
}

/* ============ OG pages section ============ */

#og_name {
    font-size: 2.5em;
    font-family: "Source Sans 3", helvetica, arial, tahoma, lucida, "lucida grande";
    color: #333377;
}

.og_box {
    display: flex;
    padding: 5px 5px;
    height: 300px;
    width: 50%;
    border-radius: 10px;
    box-shadow: 0px 4px 20px 1px rgba(3, 3, 3, 0.5);
}

.og_genes {
    margin: 5px 5px;
    border-radius: 6px;
    font-weight: bold;
    background-color: #49943b;
    color: #FFFFFF;
}

.og_genes:hover {
    background-color: #5ba44f;
}

.count_badge {
    min-width: 10px;
    padding: 3px 7px;
    font-size: 12px;
    font-weight: 700;
    line-height: 1;
    color: #ffffff;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    background-color: #333377;
    border-radius: 10px;
    float: right;
}

.tabContents {
    flex-basis: 75%;
    padding: 20px 10px 20px 40px;
}
.tabBtns{
    overflow: auto;
    flex-basis: 25%;
    display: flex;
    flex-direction: column;
}

.tabBtns .btn {
    text-align: center;
    margin-bottom: 10px;
    border-radius: 10px 30px;
    font-size: 15px;
    cursor: pointer;
    font-weight: bold;
}

.tabBtns .btn:hover {
    background-color: #72afeb;
    color: white;
}

.tabBtns .show {
    background-color: #72afeb;
    color: white;
}

.contents {
    display: none;
    overflow: auto;
    max-height: 100%;
}

.tabContents .btn{
    color: #FFFFFF;
    font-weight: bold;
    font-size: 14px;
}

.tabContents .btn:hover {
    color: #FFFFFF;
}

.tabContents .show {
    display: block;
}